{- |
Module      :  $Header$
Description :  Basic instruction definitions.
Author      :  Nils 'bash0r' Jonsson
Copyright   :  (c) 2015 Nils 'bash0r' Jonsson
License     :  MIT

Maintainer  :  aka.bash0r@gmail.com
Stability   :  unstable
Portability :  non-portable (Portability is untested.)

The basic definition of instructions exposed by this application.
-}
module MultiCabal.Instruction
( Instruction (..)
, availableCommands
) where

-- | A simple instruction collection
data Instruction
    = Help
    | Install
    | Version
    deriving (Show, Eq)

availableCommands = [Install, Version, Help]

