{- |
Module      :  $Header$
Description :  A simple version output command.
Author      :  Nils 'bash0r' Jonsson
Copyright   :  (c) 2015 Nils 'bash0r' Jonsson
License     :  MIT

Maintainer  :  aka.bash0r@gmail.com
Stability   :  unstable
Portability :  non-portable (Portability is untested.)

Prints the version to the standard output.
-}
module MultiCabal.Commands.Version
( invokeExec
, invokeHelp
) where

import Data.Version

import Paths_multi_cabal (version)


invokeExec :: [String] -> IO ()
invokeExec [] = (putStrLn . showVersion) version
invokeExec _  = putStrLn invokeHelp

invokeHelp :: String
invokeHelp =
    "multi-cabal version\n" ++
    "  shows the version string of the application"

